[versions]
cameraCore = "1.4.1"
coilCompose = "2.6.0"
commonsCompress = "1.23.0"
compiler = "4.14.2"
converterGson = "2.9.0"
core = "3.5.3"
crashreport = "4.0.4"
fastjson = "1.2.69"
glide = "4.16.0"
gson = "2.11.0"
jcore = "3.3.2"
jpush = "4.8.1"
location = "5.6.1"
loggingInterceptor = "4.11.0"
#这是一个长期维护的版本，不建议升级
mmkv = "1.3.11"
orgEclipsePahoAndroidService = "1.1.1"
orgEclipsePahoClientMqttv3 = "1.2.5"
permissionx = "1.8.0"
retrofit = "2.9.0"
roomRuntimeVersion = "2.6.1"
roomCompilerVersion = "2.6.1"
agp = "8.2.2"
kotlin = "1.9.25"
coreKtx = "1.15.0"
junit = "4.13.2"
junitVersion = "1.2.1"
espressoCore = "3.6.1"
lifecycleRuntimeKtx = "2.8.7"
activityCompose = "1.10.0"
composeBom = "2025.01.01"
material3="1.3.1"
appcompat = "1.7.0"
material = "1.12.0"
rxandroid = "3.0.2"
rxjava = "3.1.7"
search = "7.3.0"
tbssdk = "44286"
uiGraphics = "1.7.7"
uiTooling = "1.7.7"
uiToolingPreview = "1.7.7"
uiVersion = "1.7.7"
utilcodex = "1.31.1"
workRuntimeKtx = "2.10.0"
xdmap = "8.1.0"
xz = "1.9"
exifinterface = "1.3.7"
[libraries]
adapter-rxjava3 = { module = "com.squareup.retrofit2:adapter-rxjava3", version.ref = "converterGson" }
androidx-camera-camera2 = { module = "androidx.camera:camera-camera2", version.ref = "cameraCore" }
androidx-camera-core = { module = "androidx.camera:camera-core", version.ref = "cameraCore" }
androidx-camera-extensions = { module = "androidx.camera:camera-extensions", version.ref = "cameraCore" }
androidx-camera-lifecycle = { module = "androidx.camera:camera-lifecycle", version.ref = "cameraCore" }
androidx-camera-view = { module = "androidx.camera:camera-view", version.ref = "cameraCore" }
androidx-core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "coreKtx" }
androidx-lifecycle-viewmodel-compose = { module = "androidx.lifecycle:lifecycle-viewmodel-compose", version.ref = "lifecycleRuntimeKtx" }
androidx-material3 = { module = "androidx.compose.material3:material3", version.ref = "material3" }
androidx-ui = { module = "androidx.compose.ui:ui", version.ref = "uiVersion" }
androidx-ui-graphics = { module = "androidx.compose.ui:ui-graphics", version.ref = "uiGraphics" }
androidx-ui-test-junit4 = { module = "androidx.compose.ui:ui-test-junit4", version.ref = "uiGraphics" }
androidx-ui-test-manifest = { module = "androidx.compose.ui:ui-test-manifest", version.ref = "uiGraphics" }
androidx-ui-tooling = { module = "androidx.compose.ui:ui-tooling", version.ref = "uiTooling" }
androidx-ui-tooling-preview = { module = "androidx.compose.ui:ui-tooling-preview", version.ref = "uiToolingPreview" }
androidx-work-runtime-ktx = { module = "androidx.work:work-runtime-ktx", version.ref = "workRuntimeKtx" }
coil-compose = { module = "io.coil-kt:coil-compose", version.ref = "coilCompose" }
coil-gif = { module = "io.coil-kt:coil-gif", version.ref = "coilCompose" }
commons-compress = { module = "org.apache.commons:commons-compress", version.ref = "commonsCompress" }
compiler = { module = "com.github.bumptech.glide:compiler", version.ref = "compiler" }
converter-gson = { module = "com.squareup.retrofit2:converter-gson", version.ref = "converterGson" }
core = { module = "com.google.zxing:core", version.ref = "core" }
crashreport = { module = "com.tencent.bugly:crashreport", version.ref = "crashreport" }
fastjson = { module = "com.alibaba:fastjson", version.ref = "fastjson" }
glide = { module = "com.github.bumptech.glide:glide", version.ref = "glide" }
gson = { module = "com.google.code.gson:gson", version.ref = "gson" }
jcore = { module = "cn.jiguang.sdk:jcore", version.ref = "jcore" }
jpush = { module = "cn.jiguang.sdk:jpush", version.ref = "jpush" }
junit = { group = "junit", name = "junit", version.ref = "junit" }
androidx-junit = { group = "androidx.test.ext", name = "junit", version.ref = "junitVersion" }
androidx-espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espressoCore" }
androidx-lifecycle-runtime-ktx = { group = "androidx.lifecycle", name = "lifecycle-runtime-ktx", version.ref = "lifecycleRuntimeKtx" }
androidx-activity-compose = { group = "androidx.activity", name = "activity-compose", version.ref = "activityCompose" }
androidx-compose-bom = { group = "androidx.compose", name = "compose-bom", version.ref = "composeBom" }
location = { module = "com.amap.api:location", version.ref = "location" }
logging-interceptor = { module = "com.squareup.okhttp3:logging-interceptor", version.ref = "loggingInterceptor" }
mmkv = { module = "com.tencent:mmkv", version.ref = "mmkv" }
org-eclipse-paho-android-service = { module = "org.eclipse.paho:org.eclipse.paho.android.service", version.ref = "orgEclipsePahoAndroidService" }
org-eclipse-paho-client-mqttv3 = { module = "org.eclipse.paho:org.eclipse.paho.client.mqttv3", version.ref = "orgEclipsePahoClientMqttv3" }
permissionx = { module = "com.guolindev.permissionx:permissionx", version.ref = "permissionx" }
retrofit = { module = "com.squareup.retrofit2:retrofit", version.ref = "retrofit" }
room-compiler = { module = "androidx.room:room-compiler", version.ref = "roomCompilerVersion" }
room-runtime = { module = "androidx.room:room-runtime", version.ref = "roomRuntimeVersion" }
androidx-appcompat = { group = "androidx.appcompat", name = "appcompat", version.ref = "appcompat" }
material = { group = "com.google.android.material", name = "material", version.ref = "material" }
rxandroid = { module = "io.reactivex.rxjava3:rxandroid", version.ref = "rxandroid" }
rxjava = { module = "io.reactivex.rxjava3:rxjava", version.ref = "rxjava" }
search = { module = "com.amap.api:search", version.ref = "search" }
tbssdk = { module = "com.tencent.tbs:tbssdk", version.ref = "tbssdk" }
utilcodex = { module = "com.blankj:utilcodex", version.ref = "utilcodex" }
xdmap = { module = "com.amap.api:3dmap", version.ref = "xdmap" }
xz = { module = "org.tukaani:xz", version.ref = "xz" }
androidx-exifinterface = { group = "androidx.exifinterface", name = "exifinterface", version.ref = "exifinterface" }

[plugins]
android-application = { id = "com.android.application", version.ref = "agp" }
jetbrains-kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
android-library = { id = "com.android.library", version.ref = "agp" }
